% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Wire Extensometer Link
% DatiWireExtensometer contiene le medie per l'intervallo definito 
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_CrL,DatiCrack] = MediaDati_CrL(DatiCrack,TimeCrL,NdatiMedia,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_CrL function started';
fprintf(fileID,fmt,text);

[r,~]=size(DatiCrack);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_CrL = TimeCrL;

%% Dati
DatiCrack = smoothdata(DatiCrack,'gaussian',NdatiMedia);

text = 'Average values for Crack Link processed. MediaDati_CrL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end